Get a quote
GET/client_api/v2/quotes/{id}
Read a quote again, with its estimates.
Path parameters
- idintegerRequired
The quote's id, from Create a quote.
Returns
Returns the quote.
Errors
- 401UnauthorizedThe token is missing, expired or invalid. Sign in again.
GET /client_api/v2/quotes/{id}
1curl -X GET "https://sandbox-api.vatit-stream.com/client_api/v2/quotes/40" \2 -H "Authorization: Bearer $API_TOKEN"
Response
{"quote": {"id": 40,"dirty": false,"errors": [],"estimate_taxes_and_duties": false,"estimates": [{"billable_weights": {"metric": {"packages": 1,"mass_unit": "kg","distance_unit": "cm","volumetric_weight": 16.8,"weight": 12.5,"billable_weight": 16.8,"volume": 0.084},"imperial": {"packages": 1,"mass_unit": "lb","distance_unit": "inches","volumetric_weight": 37.04,"weight": 27.56,"billable_weight": 37.04,"volume": 2.9664316254643865}},"estimate_id": 35,"line_items": [{"cost": 2184.5,"currency_id": "ZAR","description": "Freight"},{"cost": 393.21,"currency_id": "ZAR","description": "Fuel surcharge"},{"cost": 450,"currency_id": "ZAR","description": "Customs clearance"}],"quote_expired": false,"shipping_company": "FedEx","shipping_service": "International Priority"}],"hub_transit": false}}